Last Comment Bug 358553 - Disabled and checked menuitems should always have disabled checkmarks
: Disabled and checked menuitems should always have disabled checkmarks
Status: VERIFIED FIXED
: fixed-seamonkey1.1
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 All
: -- minor (vote)
: seamonkey1.1final
Assigned To: Stefan [:stefanh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 15:27 PDT by Stefan [:stefanh]
Modified: 2006-12-17 17:45 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
flip style rules (2.09 KB, patch)
2006-11-02 13:19 PST, Stefan [:stefanh]
neil: review+
neil: superreview+
csthomas: approval‑seamonkey1.1+
Details | Diff | Splinter Review
New menu-check-disabled.gif (848 bytes, image/gif)
2006-11-02 13:22 PST, Stefan [:stefanh]
no flags Details
New menu-radio-disabled.gif (843 bytes, image/gif)
2006-11-02 13:22 PST, Stefan [:stefanh]
no flags Details
New menu-arrow-disabled.gif (821 bytes, image/gif)
2006-11-02 13:27 PST, Stefan [:stefanh]
no flags Details

Description Stefan [:stefanh] 2006-10-28 15:27:22 PDT
Spun-off from bug 345252. If you hover over a checked menuitem that is disabled you shouldn't see any hover effect on the checkmark.
Comment 1 Stefan [:stefanh] 2006-10-28 16:06:15 PDT
Hmm... I went ahead and did a patch, but then I looked at the tick/radio marks. They're the same for normal and disabled state (Modern and classic/win). Wouldn't it look odd if you just fix the css and not the icons?
Comment 2 neil@parkwaycc.co.uk 2006-10-28 16:13:41 PDT
I don't have Modern handy but I agree it's incorrect in Classic.

Still, changing the colour is easy enough.
Comment 3 Stefan [:stefanh] 2006-11-02 13:19:58 PST
Created attachment 244479 [details] [diff] [review]
flip style rules

This should fix classic. I'll attach new icons in a few sec.
Comment 4 Stefan [:stefanh] 2006-11-02 13:22:02 PST
Created attachment 244480 [details]
New menu-check-disabled.gif
Comment 5 Stefan [:stefanh] 2006-11-02 13:22:48 PST
Created attachment 244482 [details]
New menu-radio-disabled.gif
Comment 6 Stefan [:stefanh] 2006-11-02 13:27:10 PST
Created attachment 244483 [details]
New menu-arrow-disabled.gif

I changed color of menu-arrow-disabled.gif (old one had a0a0a0). Note that the patch and the icons are not tested...
Comment 7 neil@parkwaycc.co.uk 2006-11-03 03:21:55 PST
(In reply to comment #6)
>I changed color of menu-arrow-disabled.gif (old one had a0a0a0).
Hmm, I found some of our disabled arrows use #999999 ...

Manuel, what's your preference?
Comment 8 neil@parkwaycc.co.uk 2006-11-03 04:43:35 PST
Sigh, the so-called disabled check mark is black :-(
Comment 9 neil@parkwaycc.co.uk 2006-11-03 04:51:01 PST
So, we currently have:
generic arrow images: disabled colour #999999
checkbox/radiobutton images: disabled colour #808080
menu right arrow: disabled colour #a0a0a0
menu check/radio images: disabled colour #000000
So the menu images are at least definitely wrong ;-)
Comment 10 Stefan [:stefanh] 2006-11-03 06:34:49 PST
(In reply to comment #9)
> So, we currently have:
> generic arrow images: disabled colour #999999
> checkbox/radiobutton images: disabled colour #808080
> menu right arrow: disabled colour #a0a0a0
> menu check/radio images: disabled colour #000000
> So the menu images are at least definitely wrong ;-)
> 
Do you want to go with the 3 disabled images with colour #808080 that I've attached?
Comment 11 Stefan [:stefanh] 2006-11-04 05:58:16 PST
Comment on attachment 244479 [details] [diff] [review]
flip style rules

This is just a style-rule flip that makes us use the css for disabled checkmarks when you hover over a disabled and checked menuitem. We need the images as well (if we want the change to mean anything).
Comment 12 Robert Kaiser 2006-11-13 07:18:20 PST
Comment on attachment 244479 [details] [diff] [review]
flip style rules

first-a=me for SeaMonkey 1.1
Comment 13 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-11-28 15:38:01 PST
Has this baked on trunk?
Comment 14 Stefan [:stefanh] 2006-11-28 23:23:19 PST
(In reply to comment #13)
> Has this baked on trunk?

No it hasn't - I forgot to ask someone to check it in :-/
Comment 15 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-13 19:27:44 PST
Landing this on trunk so I can grant approval for branch soon.
Comment 16 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-13 19:32:07 PST
Checked in new images too.
Comment 17 Stefan [:stefanh] 2006-12-17 13:29:42 PST
Chris, can you land it on branch please?
Comment 18 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-17 17:45:56 PST
Verified on trunk.
Checked in on branch.

Note You need to log in before you can comment on or make changes to this bug.